Results 1 to 3 of 3

Thread: Need help installing -devel packages

  1. #1
    jakev383 NNTP User

    Default Need help installing -devel packages

    Maybe I'm missing something. I'm extremely new to OpenSuse but am versed with Fedora/RH/CentOS.
    I have a standard DVD install of 11.1. At the CLI (I'm using SSH, so the GUI does not help me) I tried:
    Code:
    yast -i mysql-devel
    and I also tried
    Code:
    yast2 -i mysql-devel
    but they do not get installed. I tried to remove the DVD as a repo and add Packman, but still no luck.
    I searched in YaST and did not see any mysql-devel packages either.
    Can someone tell me what I may be doing wrong or how to get the package?
    Thanks!

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,890
    Blog Entries
    15

    Default Re: Need help installing -devel packages

    Quote Originally Posted by jakev383
    Maybe I'm missing something. I'm extremely new to OpenSuse but am versed
    with Fedora/RH/CentOS.
    I have a standard DVD install of 11.1. At the CLI (I'm using SSH, so
    the GUI does not help me) I tried:

    Code:
    --------------------

    yast -i mysql-devel

    --------------------

    and I also tried

    Code:
    --------------------

    yast2 -i mysql-devel

    --------------------

    but they do not get installed. I tried to remove the DVD as a repo and
    add Packman, but still no luck.
    I searched in YaST and did not see any mysql-devel packages either.
    Can someone tell me what I may be doing wrong or how to get the
    package?
    Thanks!
    Hi
    I think you will find it's a name change and you need to use
    libmysqlclient-devel instead. Also you might want to check out the
    zypper command for searching, install etc

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.1 x86 Kernel 2.6.27.7-9-default
    up 1 day 3:31, 3 users, load average: 0.30, 0.29, 0.26
    GPU GeForce 6600 TE/6200 TE - Driver Version: 180.29


  3. #3
    pmm NNTP User

    Default Re: Need help installing -devel packages

    Quote Originally Posted by malcolmlewis View Post
    Hi
    I think you will find it's a name change and you need to use
    libmysqlclient-devel instead. Also you might want to check out the
    zypper command for searching, install etc

    --
    Cheers Malcolm ��� (Linux Counter #276890)
    openSUSE 11.1 x86 Kernel 2.6.27.7-9-default
    up 1 day 3:31, 3 users, load average: 0.30, 0.29, 0.26
    GPU GeForce 6600 TE/6200 TE - Driver Version: 180.29
    Thank you for this information, it was very helpfull..

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •